name: "train_onfly"
random_seed: 0

stages {
	name: "src"
	type: SOURCE_LMDB
	source_param {
		path: "/media/bioretics/images/datasets/voldemort/oranges/datasets/flaws/20170206/train"
		loop: true
		scale: 0.00390625
		classes_num: 3
	}
}

stages {
	name: "random_transform"
	type: RANDOM_TRANSFORM
	input: "src"
	random_transform_param {
		resize_min { fx: 0.9 }
		resize_max { fx: 1.1 }
		rotation_min: 0
		rotation_max: 360
		flip_x: true
		flip_y: true
		color_shift {
			basis: {
				shape_str: "3x3"
				d: -0.211399000000000 d: -0.427822000000000 d: -0.878794000000000
				d: -0.781796000000000 d: 0.613634000000000 d: -0.110669000000000
				d: -0.586605000000000 d: -0.663643000000000 d: 0.464191000000000
			}
			magnitude { d: 0.143418968215942 d: 0.000222322433472 d: 0.002576736022949 }
			stddev: 0.1
		}
	}
}

stages {
	name: "resize"
	type: AFFINE_TRANSFORM
	input: "random_transform"
	affine_transform_param {
	resize {
		fx: 0.77
		fy: 0.77
		}
	}
}

stages {
	name: "crop"
	type: FIXED_WINDOW
	input: "resize"

	fixed_window_param {
		rects {
			anchor: MIDDLE_CENTER
			rel_x: 0.5
			rel_y: 0.5
			width: 64
			height: 64
		}
	}
}
