name: "oranges_classcaliper"
revision: 9
description: "model orange_flaws_64x64_3c_2f_3o_20170206: 0 negative, 1 stalks"

stages {
  name: "item"
  type: SOURCE_CUSTOM
#  custom_param {
#    proxy: "test:ConcatCustomSource"
#    args: "oranges_segmentation.apl"
#  }
}

# Bounding-box resizing
stages {
  name: "item_normalized"
  type: RESIZE
  input: "item"
  resize_param {
    width: 240
    height: 240
  }
}

# CNN fully-convolutional
stages {
  name: "flaw_all"
  type: NEURAL_NETWORK
  input: "item_normalized"
  neural_network_param {
    deploy: "orange_models/orange_flaws_64x64_3c_2f_3o_20170206/deploy.prototxt"
    model: "orange_models/orange_flaws_64x64_3c_2f_3o_20170206/net.caffemodel"
    scale: 0.00390625

    fully_deploy: "orange_models/orange_flaws_64x64_3c_2f_3o_20170206/deploy_fully.prototxt"
    fully_subst_layers: "fc4 => fc4-conv, fc5 => fc5-conv, fc6 => fc6-conv"
    fully_cluster: true

    gpu: true
    encrypted: false
  }
}

# Exclude all the classes except the stalks
stages {
  name: "stalk_filter"
  type: CLASS_FILTER
  input: "flaw_all"
  class_filter_param {
    default_policy: CLASS_REJECT
    value_threshold: 0.95
    class_include: "1"
  }
}

# Stalk ranking
stages {
  name: "stalk_hidden"
  type: RANKING
  input: "stalk_filter"
  ranking_param {
    class_rank_def: "1:1"
    group_by_root: true
  }
}

# Make the stalk an output stage
stages {
  name: "stalk"
  type: JOIN
  input: "stalk_hidden"
}

# Caliper evaluation
stages {
  name: "caliper"
  type: CALIPER
  input: "item"
  input: "stalk_hidden"
  caliper_param {
    cross_major_axis: $cross_major_axis # true
    #simmetry_ratio: 0.85
    #correction_policy: ZERO
  }
}
