name: "oranges_classcolor"
revision: 7
description: "color classes: 0 other, 1 orange, 2 red, 3 yellow, 4 green"

stages {
  name: "item"
  type: SOURCE_CUSTOM
#  custom_param {
#    proxy: "test:ConcatCustomSource"
#    args: "oranges_segmentation.apl"
#  }
}

stages {
  name: "item_hsv"
  type: COLORSPACE
  input: "item"
  colorspace_param {
    color_format: HSV
  }
}

# Evaluates the fractions of shape's pixels belonging to each class
# In HSV colorspace the channel's ranges are H [0, 180]; S [0, 255]; V [0, 255]
stages {
  name: "color"
  type: COLOR_CLASSIFIER
  input: "item_hsv"

    color_classifier_param {

	# Orange
        class {
            range {
                lower_bound { d: 6  d: 0   d: 0 }
                upper_bound { d: 10 d: 255 d: 255 } # { d: 12 d: 255 d: 255 }
            }
        }
	
	# Red
        class {
            range {
                lower_bound { d: 0 d: 0   d: 0 }
                upper_bound { d: 5 d: 255 d: 255 }
            }
        }

	# Yellow
        class {
            range {
                lower_bound { d: 11 d: 0   d: 0 } # { d: 13 d: 0   d: 0 }
                upper_bound { d: 15 d: 255 d: 255 }
            }
        }

	# Green
        class {
            range {
                lower_bound { d: 16 d: 0   d: 0 }
                upper_bound { d: 83 d: 255 d: 255 }
            }
        }

    }
}
